com.holonplatform.vaadin.components

## Interface Dialog.DialogBuilder

- All Superinterfaces:
    ComponentBuilder<Dialog,Dialog.DialogBuilder>, ComponentConfigurator<Dialog.DialogBuilder>, Dialog.Builder<Dialog.DialogBuilder>
  Enclosing interface:
    Dialog

      public static interface Dialog.DialogBuilder
      extends Dialog.Builder<Dialog.DialogBuilder>

  Default `Dialog` builder.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Dialog.DialogBuilder` | `okButtonConfigurator(Dialog.DialogButtonConfigurator configurator)` Set a `Dialog.DialogButtonConfigurator` to configure the ok dialog button.

    - ### Methods inherited from interface com.holonplatform.vaadin.components.Dialog.Builder

      `closable, content, draggable, htmlContentAllowed, message, message, message, messageDescriptionStyleName, messageStyleName, modal, open, open, position, resizable, withCloseListener, withCloseShortcut`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentBuilder

      `build, deferLocalization, dragSource, dropTarget`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

- - ### Method Detail

    - #### okButtonConfigurator

          Dialog.DialogBuilder okButtonConfigurator(Dialog.DialogButtonConfigurator configurator)

      Set a `Dialog.DialogButtonConfigurator` to configure the ok dialog button.
      Parameters:
        `configurator` - Dialog button configurator
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.